import { classNameByBEM } from '@vuepress-denaro/core';
import { defineAsyncComponent, defineComponent, h } from 'vue';
import '../styles/vue-preview.scss';
export const DenraoVuePreview = defineComponent({
    name: 'DenraoVuePreview',
    props: {
        showDemo: {
            type: String,
            default: 'undefined',
        },
        absoluteFilePath: {
            type: String,
            default: '',
        },
    },
    setup(props, { slots }) {
        var _a;
        const demoTP = defineAsyncComponent(() => import(/* @vite-ignore */ props.absoluteFilePath));
        const VuePreviewEl = h('div', {
            class: classNameByBEM('vue-preview-container'),
        }, [
            props.showDemo !== 'undefined'
                ? h('div', {
                    class: classNameByBEM('preview-container'),
                }, [h(demoTP)])
                : h(''),
            (_a = slots === null || slots === void 0 ? void 0 : slots.default) === null || _a === void 0 ? void 0 : _a.call(slots),
        ]);
        return () => h(VuePreviewEl);
    },
});
export default DenraoVuePreview;
